<!-- -------------------- ./adm/api.html -------------------- -->

<!doctype html>
<html lang="fr">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
  <!-- Bootstrap CSS -->
  <link rel="icon" type="image/ico" href="<?php echo $this->FAVICO; ?>">
  <link rel="stylesheet" href="/pub/bootstrap/css/bootstrap.min.css" >
  <link rel="stylesheet" href="/pub/fontawesome/css/all.css">
  <link rel="stylesheet" href="/pub/css/adm.css" >
  <title>API PoDoc</title>
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/popper.min.js"></script>
<script src="/pub/bootstrap/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container-fluid">
<div class="row topadm">
<div class="col-xl-auto col-lg-auto col-md-auto col-sm-auto col-auto">
 <a href="/index.html"><img id="logo" src="/pub/img/logosig2.png" height="50" ></a>
</div>
<div class="col d-none d-sm-none d-md-none d-lg-none d-xl-block">
 <h3 class="adm-title"><strong>API <?php echo $this->TITLE; ?></strong></h3>
</div>
<div class="col d-none d-sm-none d-md-none d-lg-block d-xl-none">
 <h5 class="adm-title"><strong>API <?php echo $this->TITLE; ?></strong></h5>
</div>
<div class="col d-none d-sm-none d-md-block d-lg-none d-xl-none">
 <h6 class="adm-title"><strong>API <?php echo $this->TITLE; ?></strong></h6>
</div>
</div>

<div class="container-fluid">

<pre>  
  
<b>Test API</b>
  GET <?php printf("%s/Ping\n", $this->APIBAZ); ?>
   <em>no parameters</em>   
   <em>result :</em>   
     should respons "pong"
  
<b>Create a briefcase</b>
  GET <?php printf("%s/Create[/_title_]\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     _title_ = the briefcase title  - not mandatory ,  create API_AAAAMMDD_HHMMSS if not given
   <em>result :</em>   
     a json briefcase info :
      {
       "did":"UwjCiVIlO3DRKNHu1fvtbQzynsgcMa2o",                 <- the briefcase ID  
       "title":"the_title",                                      <- the given or generated title
       "passwd":"",                                              <- the ( empty at create ) password
       "endoflife":"aaaa-mm-dd"                                  <- the briefcase end of life 
      }

<b>Create a briefcase vith external application ID</b>
  GET <?php printf("%s/CreateWithExternID/nnn/xyzxyzxyzxyz[/_title_]\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     nnn = the external application number  ( 1=pastellGN, 2=parapheurGN, .... )
     xyzxyzxyzxyz = the ID given by the external application
     _title_ = the briefcase title  - not mandatory ,  create API_AAAAMMDD_HHMMSS if not given
   <em>result :</em>   
     a json briefcase info :
      {
       "did":"UwjCiVIlO3DRKNHu1fvtbQzynsgcMa2o",                 <- the real podoc briefcase ID  
       "title":"the_title",                                      <- the given or generated title
       "passwd":"",                                              <- the ( empty at create ) password
       "endoflife":"aaaa-mm-dd"                                  <- the briefcase end of life 
      }

<b>Get briefcase info</b>
  GET <?php printf("%s/Info/xxxxxxxxxxxxxxxxxxxxxxxxxxx\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
   <em>result :</em>   
     the json briefcase info :
      {
       "did":"7R90t8j5eAIqUzLHOFBfXYn4ysMQDxS3",                 <- the briefcase ID  
       "title":"The Title",                                      <- the briefcase title
       "modified":"2021-09-24",                                  <- date of last modif
       "endoflife":"2021-10-09",                                 <- the briefcase end of life
       "filelist":["file001.jpg","file002.png"],                 <- list of briefcase files
       "advdat_creat":1632471479,                                <- creation date ( in epoch )
       "advdat_mod":1632471479,                                  <- modification date ( in epoch )
       "advdat_sigsts":null,                                     <- signature date ( in epoch )
       "advdat_blog":1632471479,                                 <- comment/blog date ( in epoch )
       "status":"standard_mode"                                  <- briefcase display mode
      }
   
 
<b>Add File(s)</b>
  POST <?php printf("%s/AddFile/xxxxxxxxxxxxxxxxxxxxxxxxxxx\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
   <em>postdata :</em>
     nf1  = @/path/to/file         - at least 1 mandatory  
     nf2  = @/path/to/file    
     ....
     nf8  = @/path/to/file    
   <em>resultat :</em>   
     json upload status :
      {
       "status":"OK",
       "files uploaded":2
      }

<b>Delete File</b>
  GET <?php printf("%s/DelFile/xxxxxxxxxxxxxxxxxxxxxxxxxxx/_file_name_\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
     _file_name_ = file name to delete  - mandatory 
   <em>resultat :</em>   
     json delete status :
      {
       "status":"OK",
       "files deleted":1
      }

<b>Delete Briefcase</b>
  GET <?php printf("%s/Del/xxxxxxxxxxxxxxxxxxxxxxxxxxx\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
   <em>resultat :</em>   
     json delete status :
      {
       "status":"OK",
       "briefcase deleted":1
      }

   
<b>Fetch All Briefcase files</b>
  GET <?php printf("%s/FetchAll/xxxxxxxxxxxxxxxxxxxxxxxxxxx\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
   <em>resultat :</em>   
     a zip of all the briefcase files

   
<b>Fetch a file</b>
  GET <?php printf("%s/FetchFile/xxxxxxxxxxxxxxxxxxxxxxxxxxx/_file_name_\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
     _file_name_ = file name to fetch - mandatory 
   <em>resultat :</em>   
     the file content

   
<b>Ask for Signature</b>
  GET <?php printf("%s/Ask4Sign/xxxxxxxxxxxxxxxxxxxxxxxxxxx/_signator_mail_/_asker_mail_\n", $this->APIBAZ); ?>
   <em>parameters :</em>
     xxxxxxxxxxxxxxxxxxxxxxxxxxx = the briefcase ID - mandatory (32 chars)
     _signator_mail_ = the mail of the person who have to sign the briefcase -  mandatory 
     _asker_mail_ = the mail of the person who request the signature  -  not mandatory 
   <em>resultat :</em>   
     json signature request  status :
      {
       "status":"OK",
       "message":"signature asked"
      }

</pre>
   

<a href="/">Retour</a>

</div>
  
</body></html>


